void dump (void *buf, int len);
struct ilconn;
void il_abort (struct ilconn *ilconn);
void il_close (struct ilconn *ilconn);
int il_srv_state (struct ilconn *ilconn);
void il_set_srv_state (struct ilconn *ilconn, int val);
void ilrcv (struct in_addr src, struct in_addr dst, void *pkt, int pktlen);
int raw_sock;

struct task;

void make_task (int (*func)(struct task *, struct ilconn *ilconn),
		void *ilconn);

int auth_srv (struct task *, struct ilconn *);

int task_pc (struct task *);
void task_set_pc (struct task *, int);

int il_read (struct ilconn *, char *buf, int len);
int il_write (struct ilconn *, char *buf, int len);
void *task_userdata (struct task *tp, int size);

void task_exit (struct task *);

unsigned long microtime (void);

int debug_flag;
