#include <u.h>
#include <libc.h>
#include <auth.h>

#include <unistd.h>

void
usage(void)
{
	fprintf(stderr, "usage: netkey\n");
	exit (1);
}

void
main(int argc, char *argv[])
{
	char buf[32], *pass, key[DESKEYLEN];
	int n;

	if (argc != 1)
		usage ();

	printf ("This program should not be run remotely because the\n");
	printf ("password you type is transmitted in the clear.\n");

	pass = getpass ("Password: ");
	passtokey(key, pass);

	for(;;){
		printf ("challenge: ");
		fflush (stdout);
		if (fgets (buf, sizeof buf, stdin) == NULL)
			exit (0);
		n = strtol(buf, 0, 10);
		sprintf(buf, "%d", n);
		netcrypt(key, buf);
		printf("response: %s\n", buf);
	}
}

